/** @file MOMReminder.cpp
 *
 * Copyright (C) Espial Limited 2014 - Company confidential - All rights reserved.
 *
 */

#include "config.h"

#if ENABLE(RMAI)

#include "MOMReminder.h"

namespace WebCore {

PassRefPtr<MOMReminder> MOMReminder::createAdopt(ScriptExecutionContext *context, mom_reminder rem)
{
    return static_pointer_cast<MOMReminder>(MOMContentItem::createAdopt(context, (mom_content_item)rem));
}

PassRefPtr<MOMReminder> MOMReminder::create(ScriptExecutionContext *context, mom_reminder rem)
{
    return static_pointer_cast<MOMReminder>(MOMContentItem::create(context, (mom_content_item)rem));
}

MOMReminder::MOMReminder(ScriptExecutionContext *context, mom_content_item item)
    : MOMProgramme(context, item)
{
}

bool MOMReminder::forceTune() const
{
    return mom_reminder_get_forcetune(itemAsReminder());
}

void MOMReminder::setForceTune(bool forceTune)
{
    mom_reminder_set_forcetune(itemAsReminder(), forceTune);
}

void MOMReminder::remove()
{
    mom_reminder_remove(itemAsReminder());
}


} // namespace WebCore

#endif // ENABLE(RMAI)
